<?php
/*
 * Tutorial: Filters in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/filters-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Example
 * ---------------------------------------------------------------------------*/

/*
 * Adds a custom class to the list of body classes, if required.
 */
function ns_add_old_post_body_class($classes){
    
    global $post;
    $is_old_post = is_singular('post') && ((time() - strtotime($post->post_date)) > YEAR_IN_SECONDS * 5);
    return $is_old_post ? array_merge($classes, array('old-post')) : $classes;
}
add_filter('body_class', 'ns_add_old_post_body_class', 10, 1);